<?php

namespace Itguild\Tables\Filter;

use Itguild\Tables\Filter\Filter;

class InputRangeFilter extends Filter
{
    private int $min;
    private int $max;

    public function __construct(array $source)
    {
        parent::__construct($source);
        $this->min = $this->param['min'] ?? 0;
        $this->max = $this->param['max'] ?? 100;
    }

    public function fetch()
    {
        return "<td>" . $this->min . " <input type='range' name='$this->name' min= '$this->min' max='$this->max' value ='$this->value'>" . $this->max . "</td>";
    }
}